package bauteile;

import java.awt.Graphics2D;
import java.awt.Color;
import java.awt.BasicStroke;

import konstanten.Style;



public class Widerstand extends Bauteil implements BauteilInterface
{
    public Widerstand clone()
    {
        Widerstand neu = new Widerstand();
        copyParameter(neu);
        return neu;
    }

    public void zeichnen(Graphics2D g2d)
    {
        setTransformation(g2d);

         g2d.setStroke(new BasicStroke(
                                       2.0f,                  // Liniendicke
                                       BasicStroke.CAP_ROUND, // Form des Linienendes
                                       BasicStroke.JOIN_ROUND // Verbindung von Polygonlinien
                                      )   
                      ); 

        zeichnePad(g2d, Color.BLACK, 0, 0);
        zeichnePad(g2d, Color.BLACK, 4, 0);
        
        zeichneLinie(g2d, Color.BLACK, 0, 0, 1, 0);
        zeichneLinie(g2d, Color.BLACK, 3, 0, 4, 0);

        zeichneBox(g2d, Style.FARBE_BAUTEIL, 1, 3, 0);
        
        zeichneBeschriftung(g2d, Color.BLUE, 1, 0);

        unsetTransformation(g2d);
    }
}